Skip to main content
GET
/
3
/
abtests
/
{id}
curl
curl --request GET \
  --url https://analytics.us.algolia.com/3/abtests/224 \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
// Initialize the client
var client = new AbtestingV3Client(
new AbtestingV3Config(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
);

// Call the API
var response = await client.GetABTestAsync(42);

// print the response
Console.WriteLine(response);
// Initialize the client
final client = AbtestingV3Client(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');

// Call the API
final response = await client.getABTest(
id: 42,
);

// print the response
print(response);
// Initialize the client with your application region, eg. abtestingV3.ALGOLIA_APPLICATION_REGION
client, err := abtestingV3.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", abtestingV3.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}

// Call the API
response, err := client.GetABTest(client.NewApiGetABTestRequest(
42))
if err != nil {
// handle the eventual error
panic(err)
}


// print the response
print(response)
// Initialize the client
AbtestingV3Client client = new AbtestingV3Client("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");

// Call the API
ABTest response = client.getABTest(42);

// print the response
System.out.println(response);
// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initAbtestingV3({ region: 'us' });

// Call the API
const response = await client.getABTest({ id: 42 });


// print the response
console.log(response);
// Initialize the client
val client =
AbtestingV3Client(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)

// Call the API
var response = client.getABTest(id = 42)


// print the response
println(response)
// Initialize the client
$client = AbtestingV3Client::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');

// Call the API
$response = $client->getABTest(
42,
);


// print the response
var_dump($response);
# Initialize the client
# In an asynchronous context, you can use AbtestingV3Client instead, which exposes the exact same methods.
client = AbtestingV3ClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)

# Call the API
response = client.get_ab_test(
id=42,
)


# print the response
print(response)
# Initialize the client
client = Algolia::AbtestingV3Client.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")

# Call the API
response = client.get_ab_test(42)


# print the response
puts(response)
// Initialize the client
val client = AbtestingV3Client(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = Option("ALGOLIA_APPLICATION_REGION")
)

// Call the API
val response = Await.result(
client.getABTest(
id = 42
),
Duration(100, "sec")
)

// print the response
println(response)
// Initialize the client
let client = try AbtestingV3Client(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)

// Call the API
let response = try await client.getABTest(id: 42)

// print the response
print(response)
{
  "abTestID": 224,
  "createdAt": "2023-06-15T15:06:04.249906Z",
  "endAt": "2023-06-17T00:00:00Z",
  "name": "Custom ranking sales rank test",
  "status": "active",
  "updatedAt": "2023-06-15T15:06:44.400601Z",
  "variants": [
    {
      "description": "Current production index",
      "index": "delcourt_production",
      "metrics": [
        [
          {
            "name": "addToCartCount",
            "updatedAt": "2025-06-15T15:06:44.400601Z",
            "value": 5,
            "pValue": 0.01
          },
          {
            "name": "clickThroughRate",
            "updatedAt": "2025-05-15T17:52:15.644906Z",
            "value": 0.20869847452125934,
            "pValue": 0.004
          },
          {
            "name": "revenue",
            "dimension": "USD",
            "updatedAt": "2025-05-15T17:52:15.644906Z",
            "value": 1200.5,
            "pValue": 0.04,
            "metadata": {
              "winsorizedValue": 80.2
            }
          },
          {
            "name": "revenue",
            "dimension": "EUR",
            "updatedAt": "2025-05-15T17:52:15.644906Z",
            "value": 999.66,
            "pValue": 0.04,
            "metadata": {
              "winsorizedValue": 888.8
            }
          }
        ]
      ],
      "trafficPercentage": 60,
      "customSearchParameters": {
        "enablePersonalization": true,
        "personalizationImpact": 50
      },
      "estimatedSampleSize": 0,
      "metadata": {
        "filterEffects": {
          "emptySearch": {
            "usersCount": 1,
            "trackedSearchesCount": 237
          },
          "outliers": {
            "usersCount": 1,
            "trackedSearchesCount": 237
          }
        }
      }
    }
  ],
  "configuration": {
    "filters": [
      {
        "domain": "abtesting",
        "name": "isOutlier",
        "includes": true,
        "trackEffects": true
      }
    ],
    "minimumDetectableEffect": {
      "size": 0.5
    }
  },
  "migratedAbTestID": 224,
  "stoppedAt": "2023-06-15T15:06:44.400601Z"
}
{
"message": "Invalid Application-Id or API-Key"
}
{
"message": "Invalid Application-Id or API-Key"
}
{
"message": "Invalid Application-Id or API-Key"
}
{
"message": "Invalid Application-Id or API-Key"
}
Required ACL: analytics

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

id
integer
required

Unique A/B test identifier.

Example:

224

Response

OK

abTestID
integer
required

Unique A/B test identifier.

Example:

224

createdAt
string
required

Date and time when the A/B test was created, in RFC 3339 format.

Example:

"2023-06-15T15:06:04.249906Z"

endAt
string
required

End date and time of the A/B test, in RFC 3339 format.

Example:

"2023-06-17T00:00:00Z"

name
string
required

A/B test name.

Example:

"Custom ranking sales rank test"

status
enum<string>
required

A/B test status.

  • active. The A/B test is live and search traffic is split between the two variants.
  • stopped. You stopped the A/B test. The A/B test data is still available for analysis.
  • expired. The A/B test was automatically stopped after reaching its end date.
  • failed. Creating the A/B test failed.
Available options:
active,
stopped,
expired,
failed
Example:

"active"

updatedAt
string
required

Date and time when the A/B test was last updated, in RFC 3339 format.

Example:

"2023-06-15T15:06:44.400601Z"

variants
object[]
required

A/B test variants.

The first variant is your control index, typically your production index. All of the additional variants are indexes with changed settings that you want to test against the control.

configuration
configuration Ā· object

A/B test configuration.

migratedAbTestID
integer

Unique migrated A/B test identifier.

Example:

224

stoppedAt
string | null

Date and time when the A/B test was stopped, in RFC 3339 format.

Example:

"2023-06-15T15:06:44.400601Z"

Last modified on March 23, 2026